Package org.apache.maven.shared.artifact.filter.collection

## Class TypeFilter

- java.lang.Object
- - org.apache.maven.shared.artifact.filter.collection.AbstractArtifactsFilter
  - - org.apache.maven.shared.artifact.filter.collection.AbstractArtifactFeatureFilter
    - - org.apache.maven.shared.artifact.filter.collection.TypeFilter

All Implemented Interfaces:
  `ArtifactsFilter`

    public class TypeFilter
    extends AbstractArtifactFeatureFilter

Version:
  $Id: TypeFilter.java 1716978 2015-11-28 14:47:04Z khmarbaise $
Author:
  Brian Fox

### Constructor Summary

Constructors
`TypeFilter​(java.lang.String include, java.lang.String exclude)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.lang.String` `getArtifactFeature​(org.apache.maven.artifact.Artifact artifact)` Should return the type or classifier of the given artifact, so that we can filter it

### Methods inherited from class org.apache.maven.shared.artifact.filter.collection.AbstractArtifactFeatureFilter

`compareFeatures, filter, getExcludes, getIncludes, setExcludes, setIncludes`

### Methods inherited from class org.apache.maven.shared.artifact.filter.collection.AbstractArtifactsFilter

`isArtifactIncluded`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TypeFilter

    public TypeFilter​(java.lang.String include,
                      java.lang.String exclude)

Parameters:
  `include` - comma separated list with includes.
  `exclude` - comma separated list with excludes.

### Method Detail

#### getArtifactFeature

    protected java.lang.String getArtifactFeature​(org.apache.maven.artifact.Artifact artifact)

Should return the type or classifier of the given artifact, so that we can filter it

Specified by:
  `getArtifactFeature` in class `AbstractArtifactFeatureFilter`
Parameters:
  `artifact` - artifact to return type or classifier of
Returns:
  type or classifier